package com.kelidestan.ussd_example;

import android.app.Activity;
import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;

public class MainActivity extends Activity {

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		
		Button b_1 = (Button) findViewById(R.id.button1);
		b_1.setOnClickListener(new OnClickListener() {
		                                 
		    @Override
		    public void onClick(View v) {
		    	String USSD_code = "tel:" + "*712#";
				String encodedHash = Uri.encode("#");
				USSD_code = USSD_code.replace("#", encodedHash);
		    	Intent callIntent = new Intent(Intent.ACTION_CALL, Uri.parse(USSD_code)); //must add permission in AndroidManifest.xml : <uses-permission android:name="android.permission.CALL_PHONE"></uses-permission>
		    	startActivity(callIntent);
		    }
		});
		
		Button b_2 = (Button) findViewById(R.id.button2);
		b_2.setOnClickListener(new OnClickListener() {
		                                 
		    @Override
		    public void onClick(View v) {
		    	EditText et = (EditText) findViewById(R.id.editText1);
		    	String editText_input = et.getText().toString();
		    	String USSD_code = "tel:" + "*712*" + editText_input + "#";
				String encodedHash = Uri.encode("#");
				USSD_code = USSD_code.replace("#", encodedHash);
		    	Intent callIntent = new Intent(Intent.ACTION_CALL, Uri.parse(USSD_code)); //must add permission in AndroidManifest.xml : <uses-permission android:name="android.permission.CALL_PHONE"></uses-permission>
		    	startActivity(callIntent);
		    }
		});
	}



}
